package math.kombi;

import java.math.BigInteger;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;

public class Kombi19 {
    public static void main(String[] args) {
        BigInteger n = new BigInteger("50");
        BigInteger k = new BigInteger("4");
        ExecutorService es = Executors.newFixedThreadPool(1);
        Future<BigInteger> f = null;
        System.out.println("Start");
        f = es.submit(new RecurStir2(k, n));
        try {
            System.out.println(f.get());
        } catch (InterruptedException | ExecutionException e) {
            e.printStackTrace();
        }
        es.shutdown();
        System.out.println("Koniec");
    }
}
